Entities
The organizations a user belongs to. Every other resource is scoped to one.
2 endpoints. Every request needs an Authorization: Bearer mtro_... header, and responses follow the envelope described in Errors and conventions.
GET /entities/get/{entityId}
Get detailed information about a specific entity.
Required scope: any valid API key for the entity.
MCP tool: entities_get
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
entityId | string | yes | The entity ID |
Example
curl -X GET 'https://core.mtro.app/entities/get/<entityId>' \
-H 'Authorization: Bearer mtro_your_api_key'
Response
| Field | Type |
|---|---|
entity | object |
error | boolean |
Fields of entity
| Field | Type |
|---|---|
stripeCustomFeePercentByPaymentType | object |
_id | string |
entityName | string |
__v | integer |
agentAssistantEnabled | boolean |
automateLeaseToPayment | boolean |
backgroundCheckProvider | string |
country | string |
creatorPageEnabled | boolean |
entityType | string |
lastUpdated | integer |
showPeopleAlsoViewed | boolean |
status | string |
stripeAccountId | any |
stripeAccountStatus | any |
stripeCustomFeePercent | any |
twilioPhoneNumber | any |
twilioPhoneNumberAvailable | boolean |
twilioPhoneNumberRequestedAt | any |
twilioPhoneNumberRequestedBy | any |
twilioPhoneNumberSid | any |
GET /entities/get/all
List all entities (property management companies/owners). Admin only.
Required scope: any valid API key for the entity.
MCP tool: entities_list
Example
curl -X GET 'https://core.mtro.app/entities/get/all' \
-H 'Authorization: Bearer mtro_your_api_key'